Cyberduck Mountain Duck CLI

#9916 closed defect (fixed)

Header MAC doesn't match when downloading encrypted files from vault

Reported by: ftischhauser Owned by: dkocher
Priority: high Milestone: 6.0
Component: cryptomator Version: Nightly Build
Severity: normal Keywords: b2, backblaze, cryptomator
Cc: Architecture:
Platform: Windows 10

Description (last modified by ftischhauser)

Thanks to the fixes in 9895 I can now upload to a cryptomator vault on B2 with the latest nightly build. Unfortunately downloads are still failing.

With a small (10MB) file I receive the following error after the download: Transfer incomplete (although the file has been downloaded correctly).

Transfer log:

GET /b2api/v1/b2_authorize_account HTTP/1.1
Authorization: ********
Host: api.backblazeb2.com
Connection: Keep-Alive
User-Agent: Cyberduck/6.0.0.23927 (Windows 10/10.0) (x86)
Accept-Encoding: gzip,deflate
HTTP/1.1 200 OK
Server: Apache-Coyote/1.1
Cache-Control: max-age=0, no-cache, no-store
Content-Type: application/json;charset=UTF-8
Content-Length: 354
Date: Sat, 15 Apr 2017 11:13:01 GMT
POST /b2api/v1/b2_list_buckets HTTP/1.1
Authorization: ********
Content-Type: application/x-www-form-urlencoded
Content-Length: 28
Host: api001.backblazeb2.com
Connection: Keep-Alive
User-Agent: Cyberduck/6.0.0.23927 (Windows 10/10.0) (x86)
Accept-Encoding: gzip,deflate
HTTP/1.1 200 OK
Server: Apache-Coyote/1.1
Cache-Control: max-age=0, no-cache, no-store
Content-Type: application/json;charset=UTF-8
Content-Length: 489
Date: Sat, 15 Apr 2017 11:13:01 GMT
POST /b2api/v1/b2_list_file_versions HTTP/1.1
Authorization: ********
Content-Type: application/x-www-form-urlencoded
Content-Length: 96
Host: api001.backblazeb2.com
Connection: Keep-Alive
User-Agent: Cyberduck/6.0.0.23927 (Windows 10/10.0) (x86)
Accept-Encoding: gzip,deflate
HTTP/1.1 200 OK
Server: Apache-Coyote/1.1
Cache-Control: max-age=0, no-cache, no-store
Content-Type: application/json;charset=UTF-8
Content-Length: 473
Date: Sat, 15 Apr 2017 11:13:02 GMT
GET /b2api/v1/b2_download_file_by_id?fileId=4_z7671649c49dc79165ab30f17_f117e83ab7f4bade2_d20170415_m110911_c001_v0001039_t0017 HTTP/1.1
Authorization: ********
Content-Type: application/x-www-form-urlencoded
Host: f001.backblazeb2.com
Connection: Keep-Alive
User-Agent: Cyberduck/6.0.0.23927 (Windows 10/10.0) (x86)
Accept-Encoding: gzip,deflate
HTTP/1.1 200 OK
Server: Apache-Coyote/1.1
Cache-Control: max-age=0, no-cache, no-store
x-bz-file-name: masterkey.cryptomator
x-bz-file-id: 4_z7671649c49dc79165ab30f17_f117e83ab7f4bade2_d20170415_m110911_c001_v0001039_t0017
x-bz-content-sha1: 6cdb7559797625a20a480f4d2048d328725ed936
X-Bz-Upload-Timestamp: 1492254551000
Accept-Ranges: bytes
Content-Type: application/octet-stream
Content-Length: 327
Date: Sat, 15 Apr 2017 11:13:03 GMT
POST /b2api/v1/b2_list_buckets HTTP/1.1
Authorization: ********
Content-Type: application/x-www-form-urlencoded
Content-Length: 28
Host: api001.backblazeb2.com
Connection: Keep-Alive
User-Agent: Cyberduck/6.0.0.23927 (Windows 10/10.0) (x86)
Accept-Encoding: gzip,deflate
HTTP/1.1 200 OK
Server: Apache-Coyote/1.1
Cache-Control: max-age=0, no-cache, no-store
Content-Type: application/json;charset=UTF-8
Content-Length: 489
Date: Sat, 15 Apr 2017 11:13:03 GMT
POST /b2api/v1/b2_list_file_versions HTTP/1.1
Authorization: ********
Content-Type: application/x-www-form-urlencoded
Content-Length: 177
Host: api001.backblazeb2.com
Connection: Keep-Alive
User-Agent: Cyberduck/6.0.0.23927 (Windows 10/10.0) (x86)
Accept-Encoding: gzip,deflate
HTTP/1.1 200 OK
Server: Apache-Coyote/1.1
Cache-Control: max-age=0, no-cache, no-store
Content-Type: application/json;charset=UTF-8
Content-Length: 1400
Date: Sat, 15 Apr 2017 11:13:03 GMT
POST /b2api/v1/b2_list_buckets HTTP/1.1
Authorization: ********
Content-Type: application/x-www-form-urlencoded
Content-Length: 28
Host: api001.backblazeb2.com
Connection: Keep-Alive
User-Agent: Cyberduck/6.0.0.23927 (Windows 10/10.0) (x86)
Accept-Encoding: gzip,deflate
HTTP/1.1 200 OK
Server: Apache-Coyote/1.1
Cache-Control: max-age=0, no-cache, no-store
Content-Type: application/json;charset=UTF-8
Content-Length: 489
Date: Sat, 15 Apr 2017 11:13:04 GMT
POST /b2api/v1/b2_list_file_versions HTTP/1.1
Authorization: ********
Content-Type: application/x-www-form-urlencoded
Content-Length: 151
Host: api001.backblazeb2.com
Connection: Keep-Alive
User-Agent: Cyberduck/6.0.0.23927 (Windows 10/10.0) (x86)
Accept-Encoding: gzip,deflate
HTTP/1.1 200 OK
Server: Apache-Coyote/1.1
Cache-Control: max-age=0, no-cache, no-store
Content-Type: application/json;charset=UTF-8
Content-Length: 1045
Date: Sat, 15 Apr 2017 11:13:04 GMT
POST /b2api/v1/b2_get_file_info HTTP/1.1
Authorization: ********
Content-Type: application/x-www-form-urlencoded
Content-Length: 96
Host: api001.backblazeb2.com
Connection: Keep-Alive
User-Agent: Cyberduck/6.0.0.23927 (Windows 10/10.0) (x86)
Accept-Encoding: gzip,deflate
HTTP/1.1 200 OK
Server: Apache-Coyote/1.1
Cache-Control: max-age=0, no-cache, no-store
Content-Type: application/json;charset=UTF-8
Content-Length: 480
Date: Sat, 15 Apr 2017 11:13:04 GMT
POST /b2api/v1/b2_list_buckets HTTP/1.1
Authorization: ********
Content-Type: application/x-www-form-urlencoded
Content-Length: 28
Host: api001.backblazeb2.com
Connection: Keep-Alive
User-Agent: Cyberduck/6.0.0.23927 (Windows 10/10.0) (x86)
Accept-Encoding: gzip,deflate
HTTP/1.1 200 OK
Server: Apache-Coyote/1.1
Cache-Control: max-age=0, no-cache, no-store
Content-Type: application/json;charset=UTF-8
Content-Length: 489
Date: Sat, 15 Apr 2017 11:13:05 GMT
POST /b2api/v1/b2_list_file_versions HTTP/1.1
Authorization: ********
Content-Type: application/x-www-form-urlencoded
Content-Length: 151
Host: api001.backblazeb2.com
Connection: Keep-Alive
User-Agent: Cyberduck/6.0.0.23927 (Windows 10/10.0) (x86)
Accept-Encoding: gzip,deflate
HTTP/1.1 200 OK
Server: Apache-Coyote/1.1
Cache-Control: max-age=0, no-cache, no-store
Content-Type: application/json;charset=UTF-8
Content-Length: 1045
Date: Sat, 15 Apr 2017 11:13:05 GMT
GET /b2api/v1/b2_download_file_by_id?fileId=4_z7671649c49dc79165ab30f17_f112b6a079644b352_d20170415_m110948_c001_v0001039_t0047 HTTP/1.1
Authorization: ********
Content-Type: application/x-www-form-urlencoded
Host: f001.backblazeb2.com
Connection: Keep-Alive
User-Agent: Cyberduck/6.0.0.23927 (Windows 10/10.0) (x86)
Accept-Encoding: gzip,deflate
HTTP/1.1 200 OK
Server: Apache-Coyote/1.1
Cache-Control: max-age=0, no-cache, no-store
x-bz-file-name: d/LQ/WXTDPFAMFNQPB424A3V23F3TNIOTI5/TON5DBWILDOXGVFQMOJ3SF42NZ26AJQFEXXNW5I=
x-bz-file-id: 4_z7671649c49dc79165ab30f17_f112b6a079644b352_d20170415_m110948_c001_v0001039_t0047
x-bz-content-sha1: 8e66c9267aff82a2834ec2dd35e89d8332c0f107
X-Bz-Upload-Timestamp: 1492254588000
Accept-Ranges: bytes
Content-Type: application/octet-stream
Content-Length: 10014776
Date: Sat, 15 Apr 2017 11:13:05 GMT

A large (300MB) file doesn't even start downloading: Unknown runtime application error.

Transfer log:

GET /b2api/v1/b2_authorize_account HTTP/1.1
Authorization: ********
Host: api.backblazeb2.com
Connection: Keep-Alive
User-Agent: Cyberduck/6.0.0.23927 (Windows 10/10.0) (x86)
Accept-Encoding: gzip,deflate
HTTP/1.1 200 OK
Server: Apache-Coyote/1.1
Cache-Control: max-age=0, no-cache, no-store
Content-Type: application/json;charset=UTF-8
Content-Length: 354
Date: Sat, 15 Apr 2017 11:15:08 GMT
POST /b2api/v1/b2_list_buckets HTTP/1.1
Authorization: ********
Content-Type: application/x-www-form-urlencoded
Content-Length: 28
Host: api001.backblazeb2.com
Connection: Keep-Alive
User-Agent: Cyberduck/6.0.0.23927 (Windows 10/10.0) (x86)
Accept-Encoding: gzip,deflate
HTTP/1.1 200 OK
Server: Apache-Coyote/1.1
Cache-Control: max-age=0, no-cache, no-store
Content-Type: application/json;charset=UTF-8
Content-Length: 489
Date: Sat, 15 Apr 2017 11:15:08 GMT
POST /b2api/v1/b2_list_file_versions HTTP/1.1
Authorization: ********
Content-Type: application/x-www-form-urlencoded
Content-Length: 96
Host: api001.backblazeb2.com
Connection: Keep-Alive
User-Agent: Cyberduck/6.0.0.23927 (Windows 10/10.0) (x86)
Accept-Encoding: gzip,deflate
HTTP/1.1 200 OK
Server: Apache-Coyote/1.1
Cache-Control: max-age=0, no-cache, no-store
Content-Type: application/json;charset=UTF-8
Content-Length: 473
Date: Sat, 15 Apr 2017 11:15:08 GMT
GET /b2api/v1/b2_download_file_by_id?fileId=4_z7671649c49dc79165ab30f17_f117e83ab7f4bade2_d20170415_m110911_c001_v0001039_t0017 HTTP/1.1
Authorization: ********
Content-Type: application/x-www-form-urlencoded
Host: f001.backblazeb2.com
Connection: Keep-Alive
User-Agent: Cyberduck/6.0.0.23927 (Windows 10/10.0) (x86)
Accept-Encoding: gzip,deflate
HTTP/1.1 200 OK
Server: Apache-Coyote/1.1
Cache-Control: max-age=0, no-cache, no-store
x-bz-file-name: masterkey.cryptomator
x-bz-file-id: 4_z7671649c49dc79165ab30f17_f117e83ab7f4bade2_d20170415_m110911_c001_v0001039_t0017
x-bz-content-sha1: 6cdb7559797625a20a480f4d2048d328725ed936
X-Bz-Upload-Timestamp: 1492254551000
Accept-Ranges: bytes
Content-Type: application/octet-stream
Content-Length: 327
Date: Sat, 15 Apr 2017 11:15:10 GMT
POST /b2api/v1/b2_list_buckets HTTP/1.1
Authorization: ********
Content-Type: application/x-www-form-urlencoded
Content-Length: 28
Host: api001.backblazeb2.com
Connection: Keep-Alive
User-Agent: Cyberduck/6.0.0.23927 (Windows 10/10.0) (x86)
Accept-Encoding: gzip,deflate
HTTP/1.1 200 OK
Server: Apache-Coyote/1.1
Cache-Control: max-age=0, no-cache, no-store
Content-Type: application/json;charset=UTF-8
Content-Length: 489
Date: Sat, 15 Apr 2017 11:15:10 GMT
POST /b2api/v1/b2_list_file_versions HTTP/1.1
Authorization: ********
Content-Type: application/x-www-form-urlencoded
Content-Length: 177
Host: api001.backblazeb2.com
Connection: Keep-Alive
User-Agent: Cyberduck/6.0.0.23927 (Windows 10/10.0) (x86)
Accept-Encoding: gzip,deflate
HTTP/1.1 200 OK
Server: Apache-Coyote/1.1
Cache-Control: max-age=0, no-cache, no-store
Content-Type: application/json;charset=UTF-8
Content-Length: 1400
Date: Sat, 15 Apr 2017 11:15:10 GMT
POST /b2api/v1/b2_list_buckets HTTP/1.1
Authorization: ********
Content-Type: application/x-www-form-urlencoded
Content-Length: 28
Host: api001.backblazeb2.com
Connection: Keep-Alive
User-Agent: Cyberduck/6.0.0.23927 (Windows 10/10.0) (x86)
Accept-Encoding: gzip,deflate
HTTP/1.1 200 OK
Server: Apache-Coyote/1.1
Cache-Control: max-age=0, no-cache, no-store
Content-Type: application/json;charset=UTF-8
Content-Length: 489
Date: Sat, 15 Apr 2017 11:15:10 GMT
POST /b2api/v1/b2_list_file_versions HTTP/1.1
Authorization: ********
Content-Type: application/x-www-form-urlencoded
Content-Length: 151
Host: api001.backblazeb2.com
Connection: Keep-Alive
User-Agent: Cyberduck/6.0.0.23927 (Windows 10/10.0) (x86)
Accept-Encoding: gzip,deflate
HTTP/1.1 200 OK
Server: Apache-Coyote/1.1
Cache-Control: max-age=0, no-cache, no-store
Content-Type: application/json;charset=UTF-8
Content-Length: 1129
Date: Sat, 15 Apr 2017 11:15:11 GMT
POST /b2api/v1/b2_get_file_info HTTP/1.1
Authorization: ********
Content-Type: application/x-www-form-urlencoded
Content-Length: 96
Host: api001.backblazeb2.com
Connection: Keep-Alive
User-Agent: Cyberduck/6.0.0.23927 (Windows 10/10.0) (x86)
Accept-Encoding: gzip,deflate
HTTP/1.1 200 OK
Server: Apache-Coyote/1.1
Cache-Control: max-age=0, no-cache, no-store
Content-Type: application/json;charset=UTF-8
Content-Length: 445
Date: Sat, 15 Apr 2017 11:15:11 GMT
POST /b2api/v1/b2_list_buckets HTTP/1.1
Authorization: ********
Content-Type: application/x-www-form-urlencoded
Content-Length: 28
Host: api001.backblazeb2.com
Connection: Keep-Alive
User-Agent: Cyberduck/6.0.0.23927 (Windows 10/10.0) (x86)
Accept-Encoding: gzip,deflate
HTTP/1.1 200 OK
Server: Apache-Coyote/1.1
Cache-Control: max-age=0, no-cache, no-store
Content-Type: application/json;charset=UTF-8
Content-Length: 489
Date: Sat, 15 Apr 2017 11:15:11 GMT
POST /b2api/v1/b2_list_file_versions HTTP/1.1
Authorization: ********
Content-Type: application/x-www-form-urlencoded
Content-Length: 151
Host: api001.backblazeb2.com
Connection: Keep-Alive
User-Agent: Cyberduck/6.0.0.23927 (Windows 10/10.0) (x86)
Accept-Encoding: gzip,deflate
HTTP/1.1 200 OK
Server: Apache-Coyote/1.1
Cache-Control: max-age=0, no-cache, no-store
Content-Type: application/json;charset=UTF-8
Content-Length: 1129
Date: Sat, 15 Apr 2017 11:15:11 GMT
GET /b2api/v1/b2_download_file_by_id?fileId=4_z7671649c49dc79165ab30f17_f20083e32277b0542_d20170415_m111007_c001_v0001015_t0000 HTTP/1.1
Authorization: ********
Content-Type: application/x-www-form-urlencoded
Host: f001.backblazeb2.com
Connection: Keep-Alive
User-Agent: Cyberduck/6.0.0.23927 (Windows 10/10.0) (x86)
Accept-Encoding: gzip,deflate
HTTP/1.1 200 OK
Server: Apache-Coyote/1.1
Cache-Control: max-age=0, no-cache, no-store
x-bz-file-name: d/LQ/WXTDPFAMFNQPB424A3V23F3TNIOTI5/DXUCNPKHPHTOJ2FVQGBLHWD5FZFGHK2LOZVFLDYM
x-bz-file-id: 4_z7671649c49dc79165ab30f17_f20083e32277b0542_d20170415_m111007_c001_v0001015_t0000
x-bz-content-sha1: none
X-Bz-Upload-Timestamp: 1492254607000
Accept-Ranges: bytes
Content-Type: application/octet-stream
Content-Length: 300000000
Date: Sat, 15 Apr 2017 11:15:12 GMT

The cyberduck.log file only contains the following entries:

2017-04-15 13:09:30,317 [background-15] ERROR ch.cyberduck.core.vault.DecryptingListProgressListener - Failure decrypting Path{path='/cdenctest2/d/LQ/WXTDPFAMFNQPB424A3V23F3TNIOTI5/.bzEmpty', type=[file]}. Failure to decrypt due to missing pattern match for ^0?(([A-Z2-7]{8})*[A-Z2-7=]{8}).
2017-04-15 13:09:57,070 [background-17] ERROR ch.cyberduck.core.vault.DecryptingListProgressListener - Failure decrypting Path{path='/cdenctest2/d/LQ/WXTDPFAMFNQPB424A3V23F3TNIOTI5/.bzEmpty', type=[file]}. Failure to decrypt due to missing pattern match for ^0?(([A-Z2-7]{8})*[A-Z2-7=]{8}).
2017-04-15 13:11:45,791 [background-19] ERROR ch.cyberduck.core.vault.DecryptingListProgressListener - Failure decrypting Path{path='/cdenctest2/d/LQ/WXTDPFAMFNQPB424A3V23F3TNIOTI5/.bzEmpty', type=[file]}. Failure to decrypt due to missing pattern match for ^0?(([A-Z2-7]{8})*[A-Z2-7=]{8}).
2017-04-15 13:12:04,463 [background-20] ERROR ch.cyberduck.core.vault.DecryptingListProgressListener - Failure decrypting Path{path='/cdenctest2/d/LQ/WXTDPFAMFNQPB424A3V23F3TNIOTI5/.bzEmpty', type=[file]}. Failure to decrypt due to missing pattern match for ^0?(([A-Z2-7]{8})*[A-Z2-7=]{8}).
2017-04-15 13:12:51,768 [background-6] ERROR ch.cyberduck.core.vault.DecryptingListProgressListener - Failure decrypting Path{path='/cdenctest2/d/LQ/WXTDPFAMFNQPB424A3V23F3TNIOTI5/.bzEmpty', type=[file]}. Failure to decrypt due to missing pattern match for ^0?(([A-Z2-7]{8})*[A-Z2-7=]{8}).
2017-04-15 13:15:00,071 [background-6] ERROR ch.cyberduck.core.vault.DecryptingListProgressListener - Failure decrypting Path{path='/cdenctest2/d/LQ/WXTDPFAMFNQPB424A3V23F3TNIOTI5/.bzEmpty', type=[file]}. Failure to decrypt due to missing pattern match for ^0?(([A-Z2-7]{8})*[A-Z2-7=]{8}).

Could you please give cryptomator on B2 another look? Thanks!

Change History (20)

comment:1 Changed on Apr 12, 2017 at 9:19:08 AM by dkocher

  • Owner set to dkocher
  • Status changed from new to assigned

comment:2 Changed on Apr 12, 2017 at 9:26:50 AM by dkocher

  • Resolution set to fixed
  • Status changed from assigned to closed

In r38610.

comment:3 follow-up: Changed on Apr 12, 2017 at 9:35:29 AM by dkocher

Please attach the file {{cyberduck.log}} in the application support directory to have a look at the unhandled application error.

comment:4 in reply to: ↑ 3 Changed on Apr 12, 2017 at 10:24:15 AM by ftischhauser

Replying to dkocher:

Please attach the file {{cyberduck.log}} in the application support directory to have a look at the unhandled application error.

My cyberduck.log file is empty, but I can share the transfer window log:

GET /b2api/v1/b2_authorize_account HTTP/1.1
Authorization: ********
Host: api.backblazeb2.com
Connection: Keep-Alive
User-Agent: Cyberduck/6.0.0.23888 (Windows 10/10.0) (x86)
Accept-Encoding: gzip,deflate
HTTP/1.1 200 OK
Server: Apache-Coyote/1.1
Cache-Control: max-age=0, no-cache, no-store
Content-Type: application/json;charset=UTF-8
Content-Length: 354
Date: Wed, 12 Apr 2017 10:20:22 GMT
POST /b2api/v1/b2_list_file_versions HTTP/1.1
Authorization: ********
Content-Type: application/x-www-form-urlencoded
Content-Length: 96
Host: api001.backblazeb2.com
Connection: Keep-Alive
User-Agent: Cyberduck/6.0.0.23888 (Windows 10/10.0) (x86)
Accept-Encoding: gzip,deflate
HTTP/1.1 200 OK
Server: Apache-Coyote/1.1
Cache-Control: max-age=0, no-cache, no-store
Content-Type: application/json;charset=UTF-8
Content-Length: 473
Date: Wed, 12 Apr 2017 10:20:23 GMT
GET /b2api/v1/b2_download_file_by_id?fileId=4_z960174aca96c69165ab30f17_f117e83ab7f3d1846_d20170412_m101234_c001_v0001039_t0009 HTTP/1.1
Authorization: ********
Content-Type: application/x-www-form-urlencoded
Host: f001.backblazeb2.com
Connection: Keep-Alive
User-Agent: Cyberduck/6.0.0.23888 (Windows 10/10.0) (x86)
Accept-Encoding: gzip,deflate
HTTP/1.1 200 OK
Server: Apache-Coyote/1.1
Cache-Control: max-age=0, no-cache, no-store
x-bz-file-name: masterkey.cryptomator
x-bz-file-id: 4_z960174aca96c69165ab30f17_f117e83ab7f3d1846_d20170412_m101234_c001_v0001039_t0009
x-bz-content-sha1: 3ed95ecac4fb32aca84a86e320d54b56e06561dc
X-Bz-Upload-Timestamp: 1491991954000
Accept-Ranges: bytes
Content-Type: application/octet-stream
Content-Length: 327
Date: Wed, 12 Apr 2017 10:20:24 GMT
POST /b2api/v1/b2_list_file_versions HTTP/1.1
Authorization: ********
Content-Type: application/x-www-form-urlencoded
Content-Length: 177
Host: api001.backblazeb2.com
Connection: Keep-Alive
User-Agent: Cyberduck/6.0.0.23888 (Windows 10/10.0) (x86)
Accept-Encoding: gzip,deflate
HTTP/1.1 200 OK
Server: Apache-Coyote/1.1
Cache-Control: max-age=0, no-cache, no-store
Content-Type: application/json;charset=UTF-8
Content-Length: 502
Date: Wed, 12 Apr 2017 10:20:24 GMT
POST /b2api/v1/b2_list_file_versions HTTP/1.1
Authorization: ********
Content-Type: application/x-www-form-urlencoded
Content-Length: 151
Host: api001.backblazeb2.com
Connection: Keep-Alive
User-Agent: Cyberduck/6.0.0.23888 (Windows 10/10.0) (x86)
Accept-Encoding: gzip,deflate
HTTP/1.1 200 OK
Server: Apache-Coyote/1.1
Cache-Control: max-age=0, no-cache, no-store
Content-Type: application/json;charset=UTF-8
Content-Length: 1009
Date: Wed, 12 Apr 2017 10:20:24 GMT
POST /b2api/v1/b2_get_file_info HTTP/1.1
Authorization: ********
Content-Type: application/x-www-form-urlencoded
Content-Length: 96
Host: api001.backblazeb2.com
Connection: Keep-Alive
User-Agent: Cyberduck/6.0.0.23888 (Windows 10/10.0) (x86)
Accept-Encoding: gzip,deflate
HTTP/1.1 200 OK
Server: Apache-Coyote/1.1
Cache-Control: max-age=0, no-cache, no-store
Content-Type: application/json;charset=UTF-8
Content-Length: 445
Date: Wed, 12 Apr 2017 10:20:25 GMT
POST /b2api/v1/b2_list_file_versions HTTP/1.1
Authorization: ********
Content-Type: application/x-www-form-urlencoded
Content-Length: 151
Host: api001.backblazeb2.com
Connection: Keep-Alive
User-Agent: Cyberduck/6.0.0.23888 (Windows 10/10.0) (x86)
Accept-Encoding: gzip,deflate
HTTP/1.1 200 OK
Server: Apache-Coyote/1.1
Cache-Control: max-age=0, no-cache, no-store
Content-Type: application/json;charset=UTF-8
Content-Length: 1009
Date: Wed, 12 Apr 2017 10:20:25 GMT
GET /b2api/v1/b2_download_file_by_id?fileId=4_z960174aca96c69165ab30f17_f201c073b5f174842_d20170412_m101423_c001_v0001038_t0050 HTTP/1.1
Authorization: ********
Content-Type: application/x-www-form-urlencoded
Host: f001.backblazeb2.com
Connection: Keep-Alive
User-Agent: Cyberduck/6.0.0.23888 (Windows 10/10.0) (x86)
Accept-Encoding: gzip,deflate
HTTP/1.1 200 OK
Server: Apache-Coyote/1.1
Cache-Control: max-age=0, no-cache, no-store
x-bz-file-name: d/QL/BIKKFO2VCLF4U2QSS6DL5SZPR4LNBG/AHGBFGPGH5W2C4WCI2U6IHDIEIRT6MXP7EGD2CWE
x-bz-file-id: 4_z960174aca96c69165ab30f17_f201c073b5f174842_d20170412_m101423_c001_v0001038_t0050
x-bz-content-sha1: none
X-Bz-Upload-Timestamp: 1491992063000
Accept-Ranges: bytes
Content-Type: application/octet-stream
Content-Length: 300000000
Date: Wed, 12 Apr 2017 10:20:25 GMT

comment:5 Changed on Apr 15, 2017 at 11:18:21 AM by ftischhauser

  • Description modified (diff)
  • Resolution fixed deleted
  • Status changed from closed to reopened

Unfortunately there are still download issues with the latest nightly build (6.0.0.23927), I have updated the error messages and added the transfer and error logs from a fresh test.

comment:6 follow-up: Changed on Apr 15, 2017 at 12:40:27 PM by dkocher

Can you confirm you no longer receive the Unknown runtime application error. The reamaining issue is then that the transfer length is unknown and the download marked as Incomplete when finished?

comment:7 in reply to: ↑ 6 Changed on Apr 15, 2017 at 12:44:03 PM by ftischhauser

Replying to dkocher:

Can you confirm you no longer receive the Unknown runtime application error. The reamaining issue is then that the transfer length is unknown and the download marked as Incomplete when finished?

The behavior with the large file download has not changed, I still see the Unknown runtime application error before the download begins. I have provided a fresh set of logs from the latest build, tested with a new cryptomator bucket and the same file uploaded with the newest build.

comment:8 Changed on Apr 15, 2017 at 9:09:18 PM by dkocher

Fix invalid size for download from vault in r38647.

comment:9 Changed on Apr 17, 2017 at 6:57:28 PM by dkocher

  • Resolution set to fixed
  • Status changed from reopened to closed

comment:10 Changed on Apr 19, 2017 at 8:26:39 AM by ftischhauser

  • Resolution fixed deleted
  • Status changed from closed to reopened

Unfortunately the behavior with large files still hasn't changed (tested with 6.0.0.23965), I still receive the Unknown runtime application error.

comment:11 Changed on Apr 20, 2017 at 4:24:38 PM by yla

I'm now able to reproduce the issue with large files:

Caused by: ch.cyberduck.core.exception.BackgroundException{detail='Unknown runtime application error.', cause='org.cryptomator.cryptolib.api.AuthenticationFailedException: Header MAC doesn't match.', message='Error'}
	at ch.cyberduck.core.AbstractExceptionMappingService.wrap(AbstractExceptionMappingService.java:112)
	at ch.cyberduck.core.worker.DefaultExceptionMappingService.map(DefaultExceptionMappingService.java:41)
	at ch.cyberduck.core.worker.ConcurrentTransferWorker.await(ConcurrentTransferWorker.java:132)
	at ch.cyberduck.core.worker.AbstractTransferWorker.run(AbstractTransferWorker.java:211)
	at ch.cyberduck.core.worker.AbstractTransferWorker.run(AbstractTransferWorker.java:62)
	at ch.cyberduck.core.threading.TransferWorkerBackgroundAction.run(TransferWorkerBackgroundAction.java:69)
	at ch.cyberduck.core.threading.SessionBackgroundAction.run(SessionBackgroundAction.java:121)
	at ch.cyberduck.core.threading.SessionBackgroundAction$1.call(SessionBackgroundAction.java:104)
	at ch.cyberduck.core.threading.DefaultRetryCallable.call(DefaultRetryCallable.java:48)
	at ch.cyberduck.core.threading.SessionBackgroundAction.call(SessionBackgroundAction.java:106)
	at ch.cyberduck.core.threading.BackgroundCallable.run(BackgroundCallable.java:100)
	at ch.cyberduck.core.threading.BackgroundCallable.call(BackgroundCallable.java:59)
	at java.util.concurrent.FutureTask.run(FutureTask.java:266)
	at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1142)
	at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:618)
	at ch.cyberduck.core.threading.NamedThreadFactory$1.run(NamedThreadFactory.java:53)
	at java.lang.Thread.run(Thread.java:955)
Caused by: org.cryptomator.cryptolib.api.AuthenticationFailedException: Header MAC doesn't match.
	at org.cryptomator.cryptolib.v1.FileHeaderCryptorImpl.decryptHeader(FileHeaderCryptorImpl.java:113)
	at ch.cyberduck.core.cryptomator.CryptoReadFeature.read(CryptoReadFeature.java:55)
	at ch.cyberduck.core.shared.DefaultDownloadFeature.download(DefaultDownloadFeature.java:46)
	at ch.cyberduck.core.cryptomator.CryptoDownloadFeature.download(CryptoDownloadFeature.java:45)
	at ch.cyberduck.core.vault.registry.VaultRegistryDownloadFeature.download(VaultRegistryDownloadFeature.java:43)
	at ch.cyberduck.core.transfer.DownloadTransfer.transfer(DownloadTransfer.java:270)
	at ch.cyberduck.core.worker.AbstractTransferWorker$3.call(AbstractTransferWorker.java:377)
	at ch.cyberduck.core.worker.AbstractTransferWorker$3.call(AbstractTransferWorker.java:365)
	at java.util.concurrent.FutureTask.run(FutureTask.java:266)
	at java.util.concurrent.Executors$RunnableAdapter.call(Executors.java:512)
	... 5 more

comment:12 Changed on Apr 22, 2017 at 4:41:01 PM by dkocher

Fixed error reporting to include cause in r38932.

comment:13 Changed on Apr 24, 2017 at 11:53:26 AM by dkocher

  • Summary changed from Downloads from Encrypted Vault on Backblaze B2 Fail to Header MAC doesn't match when downloading encrypted files from vault

comment:14 Changed on Apr 24, 2017 at 11:55:06 AM by dkocher

  • Resolution set to fixed
  • Status changed from reopened to closed

In r38991.

comment:15 Changed on Apr 26, 2017 at 1:23:38 PM by ftischhauser

  • Resolution fixed deleted
  • Status changed from closed to reopened

Large file downloads are still broken. Transfers now fail after the first 100 MB with the error message: Authentication of chunk 3200 failed.

POST /b2api/v1/b2_list_buckets HTTP/1.1
Authorization: ********
Content-Type: application/x-www-form-urlencoded
Content-Length: 28
Host: api001.backblazeb2.com
Connection: Keep-Alive
User-Agent: Cyberduck/6.0.0.24323 (Windows 10/10.0) (x86)
Accept-Encoding: gzip,deflate
HTTP/1.1 200 OK
Server: Apache-Coyote/1.1
Cache-Control: max-age=0, no-cache, no-store
Content-Type: application/json;charset=UTF-8
Content-Length: 723
Date: Wed, 26 Apr 2017 13:20:46 GMT
POST /b2api/v1/b2_list_file_versions HTTP/1.1
Authorization: ********
Content-Type: application/x-www-form-urlencoded
Content-Length: 96
Host: api001.backblazeb2.com
Connection: Keep-Alive
User-Agent: Cyberduck/6.0.0.24323 (Windows 10/10.0) (x86)
Accept-Encoding: gzip,deflate
HTTP/1.1 200 OK
Server: Apache-Coyote/1.1
Cache-Control: max-age=0, no-cache, no-store
Content-Type: application/json;charset=UTF-8
Content-Length: 473
Date: Wed, 26 Apr 2017 13:20:46 GMT
GET /b2api/v1/b2_download_file_by_id?fileId=4_ze681243c696ca9a65ab30f17_f102bc85331da523e_d20170426_m131433_c001_v0001039_t0005 HTTP/1.1
Authorization: ********
Content-Type: application/x-www-form-urlencoded
Host: f001.backblazeb2.com
Connection: Keep-Alive
User-Agent: Cyberduck/6.0.0.24323 (Windows 10/10.0) (x86)
Accept-Encoding: gzip,deflate
HTTP/1.1 200 OK
Server: Apache-Coyote/1.1
Cache-Control: max-age=0, no-cache, no-store
x-bz-file-name: masterkey.cryptomator
x-bz-file-id: 4_ze681243c696ca9a65ab30f17_f102bc85331da523e_d20170426_m131433_c001_v0001039_t0005
x-bz-content-sha1: 3e869b408f536065eac58710b592e4a847c8df06
X-Bz-Upload-Timestamp: 1493212473000
Accept-Ranges: bytes
Content-Type: application/octet-stream
Content-Length: 327
Date: Wed, 26 Apr 2017 13:20:48 GMT
POST /b2api/v1/b2_list_buckets HTTP/1.1
Authorization: ********
Content-Type: application/x-www-form-urlencoded
Content-Length: 28
Host: api001.backblazeb2.com
Connection: Keep-Alive
User-Agent: Cyberduck/6.0.0.24323 (Windows 10/10.0) (x86)
Accept-Encoding: gzip,deflate
HTTP/1.1 200 OK
Server: Apache-Coyote/1.1
Cache-Control: max-age=0, no-cache, no-store
Content-Type: application/json;charset=UTF-8
Content-Length: 723
Date: Wed, 26 Apr 2017 13:20:48 GMT
POST /b2api/v1/b2_list_file_versions HTTP/1.1
Authorization: ********
Content-Type: application/x-www-form-urlencoded
Content-Length: 177
Host: api001.backblazeb2.com
Connection: Keep-Alive
User-Agent: Cyberduck/6.0.0.24323 (Windows 10/10.0) (x86)
Accept-Encoding: gzip,deflate
HTTP/1.1 200 OK
Server: Apache-Coyote/1.1
Cache-Control: max-age=0, no-cache, no-store
Content-Type: application/json;charset=UTF-8
Content-Length: 1400
Date: Wed, 26 Apr 2017 13:20:48 GMT
POST /b2api/v1/b2_list_buckets HTTP/1.1
Authorization: ********
Content-Type: application/x-www-form-urlencoded
Content-Length: 28
Host: api001.backblazeb2.com
Connection: Keep-Alive
User-Agent: Cyberduck/6.0.0.24323 (Windows 10/10.0) (x86)
Accept-Encoding: gzip,deflate
HTTP/1.1 200 OK
Server: Apache-Coyote/1.1
Cache-Control: max-age=0, no-cache, no-store
Content-Type: application/json;charset=UTF-8
Content-Length: 723
Date: Wed, 26 Apr 2017 13:20:48 GMT
POST /b2api/v1/b2_list_file_versions HTTP/1.1
Authorization: ********
Content-Type: application/x-www-form-urlencoded
Content-Length: 151
Host: api001.backblazeb2.com
Connection: Keep-Alive
User-Agent: Cyberduck/6.0.0.24323 (Windows 10/10.0) (x86)
Accept-Encoding: gzip,deflate
HTTP/1.1 200 OK
Server: Apache-Coyote/1.1
Cache-Control: max-age=0, no-cache, no-store
Content-Type: application/json;charset=UTF-8
Content-Length: 1009
Date: Wed, 26 Apr 2017 13:20:48 GMT
POST /b2api/v1/b2_list_buckets HTTP/1.1
Authorization: ********
Content-Type: application/x-www-form-urlencoded
Content-Length: 28
Host: api001.backblazeb2.com
Connection: Keep-Alive
User-Agent: Cyberduck/6.0.0.24323 (Windows 10/10.0) (x86)
Accept-Encoding: gzip,deflate
HTTP/1.1 200 O

comment:16 Changed on Apr 26, 2017 at 2:42:20 PM by dkocher

  • Priority changed from normal to high

comment:17 Changed on Apr 27, 2017 at 5:45:56 PM by dkocher

Regression in r39031.

comment:18 Changed on May 1, 2017 at 1:13:58 PM by dkocher

  • Resolution set to fixed
  • Status changed from reopened to closed

In r39122.

comment:19 follow-up: Changed on May 3, 2017 at 12:05:58 PM by ftischhauser

I can confirm that both my test cases now work perfectly. Thanks a lot for your efforts!

comment:20 in reply to: ↑ 19 Changed on May 3, 2017 at 12:21:38 PM by dkocher

Replying to ftischhauser:

I can confirm that both my test cases now work perfectly. Thanks a lot for your efforts!

Thanks for your testing and feedback! Please make sure to update to the latest build available which fixes issues with moving and deleting files in vaults.

Note: See TracTickets for help on using tickets.
swiss made software